Package org.wildfly.plugin.provision

## Class ChannelConfiguration

- java.lang.Object
- - org.wildfly.plugin.provision.ChannelConfiguration

-     public class ChannelConfiguration
      extends Object

  A channel configuration. Contains a `manifest` composed of a `groupId`, an `artifactId` an optional `version` or a `url`.
  Author:
    jdenise

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChannelConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.wildfly.channel.ChannelManifestCoordinate` | `getManifest()` |
    `void` | `set​(String channel)` |
    `void` | `setManifest​(org.wildfly.channel.ChannelManifestCoordinate manifest)` |
    `void` | `setName​(String name)` | Set the name of the channel.
    `org.wildfly.channel.Channel` | `toChannel​(List<org.eclipse.aether.repository.RemoteRepository> repositories)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelConfiguration

          public ChannelConfiguration()

  - ### Method Detail

    - #### getManifest

          public org.wildfly.channel.ChannelManifestCoordinate getManifest()

      Returns:
        the manifest

    - #### set

          public void set​(String channel)

    - #### setName

          public void setName​(String name)

      Set the name of the channel. This information is stored in the .installation directory of the provisioned server.
      Parameters:
        `name` - The name of the channel. Can be `null`.

    - #### setManifest

          public void setManifest​(org.wildfly.channel.ChannelManifestCoordinate manifest)

    - #### toChannel

          public org.wildfly.channel.Channel toChannel​(List<org.eclipse.aether.repository.RemoteRepository> repositories)
                                                throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`